<?php

namespace Application\Migrations;

use Doctrine\DBAL\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
class Version20160220141310 extends AbstractMigration
{
    /**
     * @param Schema $schema
     */
    public function up(Schema $schema)
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('DROP SEQUENCE command_argument_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE message_id_seq CASCADE');
        $this->addSql('CREATE TABLE command_audit (id INT NOT NULL, rev INT NOT NULL, device_id INT DEFAULT NULL, ttl TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, post_time TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, readed BOOLEAN DEFAULT NULL, name VARCHAR(255) DEFAULT NULL, type VARCHAR(255) DEFAULT NULL, title VARCHAR(255) DEFAULT NULL, text VARCHAR(255) DEFAULT NULL, delay INT DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('DROP TABLE message_audit');
        $this->addSql('DROP TABLE command_argument');
        $this->addSql('DROP TABLE message');
        $this->addSql('ALTER TABLE command ADD device_id INT DEFAULT NULL');
        $this->addSql('ALTER TABLE command ADD ttl TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL');
        $this->addSql('ALTER TABLE command ADD post_time TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL');
        $this->addSql('ALTER TABLE command ADD readed BOOLEAN DEFAULT TRUE');
        $this->addSql('ALTER TABLE command ALTER COLUMN readed SET NOT NULL');
        $this->addSql('ALTER TABLE command ADD title VARCHAR(255) DEFAULT NULL');
        $this->addSql('ALTER TABLE command ADD text VARCHAR(255) DEFAULT NULL');
        $this->addSql('ALTER TABLE command ADD delay INT DEFAULT NULL');
        $this->addSql('ALTER TABLE command RENAME COLUMN description TO type');
        $this->addSql('ALTER TABLE command ADD CONSTRAINT FK_8ECAEAD494A4C7D4 FOREIGN KEY (device_id) REFERENCES device (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('CREATE INDEX IDX_8ECAEAD494A4C7D4 ON command (device_id)');
    }

    /**
     * @param Schema $schema
     */
    public function down(Schema $schema)
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');
        $this->addSql('CREATE SEQUENCE command_argument_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE message_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE TABLE message_audit (id INT NOT NULL, rev INT NOT NULL, device_id INT DEFAULT NULL, command_id INT DEFAULT NULL, ttl TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, args VARCHAR(255) DEFAULT NULL, post_time TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, readed BOOLEAN DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE TABLE command_argument (id INT NOT NULL, command_id INT DEFAULT NULL, name VARCHAR(255) NOT NULL, type VARCHAR(255) NOT NULL, description VARCHAR(255) DEFAULT NULL, enum VARCHAR(255) DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX idx_34fde29b33e1689a ON command_argument (command_id)');
        $this->addSql('CREATE TABLE message (id INT NOT NULL, device_id INT DEFAULT NULL, command_id INT DEFAULT NULL, ttl TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, args VARCHAR(255) DEFAULT NULL, post_time TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, readed BOOLEAN NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX idx_b6bd307f94a4c7d4 ON message (device_id)');
        $this->addSql('CREATE INDEX idx_b6bd307f33e1689a ON message (command_id)');
        $this->addSql('ALTER TABLE command_argument ADD CONSTRAINT fk_34fde29b33e1689a FOREIGN KEY (command_id) REFERENCES command (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE message ADD CONSTRAINT fk_b6bd307f94a4c7d4 FOREIGN KEY (device_id) REFERENCES device (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE message ADD CONSTRAINT fk_b6bd307f33e1689a FOREIGN KEY (command_id) REFERENCES command (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('DROP TABLE command_audit');
        $this->addSql('ALTER TABLE command DROP CONSTRAINT FK_8ECAEAD494A4C7D4');
        $this->addSql('DROP INDEX IDX_8ECAEAD494A4C7D4');
        $this->addSql('ALTER TABLE command ADD description VARCHAR(255) DEFAULT NULL');
        $this->addSql('ALTER TABLE command DROP device_id');
        $this->addSql('ALTER TABLE command DROP ttl');
        $this->addSql('ALTER TABLE command DROP post_time');
        $this->addSql('ALTER TABLE command DROP readed');
        $this->addSql('ALTER TABLE command DROP type');
        $this->addSql('ALTER TABLE command DROP title');
        $this->addSql('ALTER TABLE command DROP text');
        $this->addSql('ALTER TABLE command DROP delay');
    }
}
