<?php

namespace Application\Migrations;

use Doctrine\DBAL\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
class Version20160623155414 extends AbstractMigration
{
    /**
     * @param Schema $schema
     */
    public function up(Schema $schema)
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE SEQUENCE vod_content_group_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE vod_account_tag_link_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE vod_account_tag_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE vod_content_item_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE vod_content_item_type_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE vod_person_role_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE vod_person_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE vod_person_link_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE vod_category_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE vod_tag_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE SEQUENCE vod_content_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE TABLE vod_content_group (id INT NOT NULL, parent_group_id INT DEFAULT NULL, vod_content_id INT DEFAULT NULL, caption VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_8D6E6B0561997596 ON vod_content_group (parent_group_id)');
        $this->addSql('CREATE INDEX IDX_8D6E6B054DAD3B51 ON vod_content_group (vod_content_id)');
        $this->addSql('CREATE TABLE vod_account_tag_link (id INT NOT NULL, account_id INT NOT NULL, account_tag_id INT DEFAULT NULL, vod_content VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_40070E3C9B6B5FBA ON vod_account_tag_link (account_id)');
        $this->addSql('CREATE INDEX IDX_40070E3C9DE6AD62 ON vod_account_tag_link (account_tag_id)');
        $this->addSql('CREATE TABLE vod_account_tag (id INT NOT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_816C1CE25E237E06 ON vod_account_tag (name)');
        $this->addSql('CREATE TABLE vod_account_tag_vod_content (vod_account_tag_id INT NOT NULL, vod_content_id INT NOT NULL, PRIMARY KEY(vod_account_tag_id, vod_content_id))');
        $this->addSql('CREATE INDEX IDX_57D621C36E54B151 ON vod_account_tag_vod_content (vod_account_tag_id)');
        $this->addSql('CREATE INDEX IDX_57D621C34DAD3B51 ON vod_account_tag_vod_content (vod_content_id)');
        $this->addSql('CREATE TABLE vod_content_item (id INT NOT NULL, content_id INT NOT NULL, content_group_id INT DEFAULT NULL, item_type_id INT NOT NULL, url VARCHAR(255) NOT NULL, caption VARCHAR(255) DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_64DDFB1484A0A3ED ON vod_content_item (content_id)');
        $this->addSql('CREATE INDEX IDX_64DDFB14ACE333A8 ON vod_content_item (content_group_id)');
        $this->addSql('CREATE INDEX IDX_64DDFB14CE11AAC7 ON vod_content_item (item_type_id)');
        $this->addSql('CREATE TABLE vod_content_item_type (id INT NOT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_913C8F165E237E06 ON vod_content_item_type (name)');
        $this->addSql('CREATE TABLE vod_person_role (id INT NOT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE vod_person (id INT NOT NULL, fullname VARCHAR(255) NOT NULL, imdb_id INT DEFAULT NULL, kinopoisk_id INT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_9F25941653B538EB ON vod_person (imdb_id)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_9F2594167078D953 ON vod_person (kinopoisk_id)');
        $this->addSql('CREATE TABLE vod_person_link (id INT NOT NULL, vod_content_id INT NOT NULL, person_id INT NOT NULL, person_role_id INT NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_7E54EFE54DAD3B51 ON vod_person_link (vod_content_id)');
        $this->addSql('CREATE INDEX IDX_7E54EFE5217BBB47 ON vod_person_link (person_id)');
        $this->addSql('CREATE INDEX IDX_7E54EFE5F49D9125 ON vod_person_link (person_role_id)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_7E54EFE54DAD3B51217BBB47F49D9125 ON vod_person_link (vod_content_id, person_id, person_role_id)');
        $this->addSql('CREATE TABLE vod_category (id INT NOT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_65076C805E237E06 ON vod_category (name)');
        $this->addSql('CREATE TABLE vod_tag (id INT NOT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_E86227085E237E06 ON vod_tag (name)');
        $this->addSql('CREATE TABLE vod_content (id INT NOT NULL, category_id INT DEFAULT NULL, image_id INT DEFAULT NULL, age_group_id INT DEFAULT NULL, enabled BOOLEAN NOT NULL, added_date TIMESTAMP(0) WITH TIME ZONE NOT NULL, name VARCHAR(255) NOT NULL, original_name VARCHAR(255) DEFAULT NULL, year INT DEFAULT NULL, duration INT DEFAULT NULL, description TEXT DEFAULT NULL, imdb_id INT DEFAULT NULL, kinopoisk_id INT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_B3DCA8B453B538EB ON vod_content (imdb_id)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_B3DCA8B47078D953 ON vod_content (kinopoisk_id)');
        $this->addSql('CREATE INDEX IDX_B3DCA8B412469DE2 ON vod_content (category_id)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_B3DCA8B43DA5256D ON vod_content (image_id)');
        $this->addSql('CREATE INDEX IDX_B3DCA8B4B09E220E ON vod_content (age_group_id)');
        $this->addSql('CREATE TABLE vod_content_vod_tag (vod_content_id INT NOT NULL, vod_tag_id INT NOT NULL, PRIMARY KEY(vod_content_id, vod_tag_id))');
        $this->addSql('CREATE INDEX IDX_88492DB14DAD3B51 ON vod_content_vod_tag (vod_content_id)');
        $this->addSql('CREATE INDEX IDX_88492DB1112B2671 ON vod_content_vod_tag (vod_tag_id)');
        $this->addSql('ALTER TABLE vod_content_group ADD CONSTRAINT FK_8D6E6B0561997596 FOREIGN KEY (parent_group_id) REFERENCES vod_content_group (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vod_content_group ADD CONSTRAINT FK_8D6E6B054DAD3B51 FOREIGN KEY (vod_content_id) REFERENCES vod_content (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vod_account_tag_link ADD CONSTRAINT FK_40070E3C9B6B5FBA FOREIGN KEY (account_id) REFERENCES account (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vod_account_tag_link ADD CONSTRAINT FK_40070E3C9DE6AD62 FOREIGN KEY (account_tag_id) REFERENCES vod_account_tag (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vod_account_tag_vod_content ADD CONSTRAINT FK_57D621C36E54B151 FOREIGN KEY (vod_account_tag_id) REFERENCES vod_account_tag (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vod_account_tag_vod_content ADD CONSTRAINT FK_57D621C34DAD3B51 FOREIGN KEY (vod_content_id) REFERENCES vod_content (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vod_content_item ADD CONSTRAINT FK_64DDFB1484A0A3ED FOREIGN KEY (content_id) REFERENCES vod_content (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vod_content_item ADD CONSTRAINT FK_64DDFB14ACE333A8 FOREIGN KEY (content_group_id) REFERENCES vod_content_group (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vod_content_item ADD CONSTRAINT FK_64DDFB14CE11AAC7 FOREIGN KEY (item_type_id) REFERENCES vod_content_item_type (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vod_person_link ADD CONSTRAINT FK_7E54EFE54DAD3B51 FOREIGN KEY (vod_content_id) REFERENCES vod_content (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vod_person_link ADD CONSTRAINT FK_7E54EFE5217BBB47 FOREIGN KEY (person_id) REFERENCES vod_person (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vod_person_link ADD CONSTRAINT FK_7E54EFE5F49D9125 FOREIGN KEY (person_role_id) REFERENCES vod_person_role (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vod_content ADD CONSTRAINT FK_B3DCA8B412469DE2 FOREIGN KEY (category_id) REFERENCES vod_category (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vod_content ADD CONSTRAINT FK_B3DCA8B43DA5256D FOREIGN KEY (image_id) REFERENCES image (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vod_content ADD CONSTRAINT FK_B3DCA8B4B09E220E FOREIGN KEY (age_group_id) REFERENCES age_group (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vod_content_vod_tag ADD CONSTRAINT FK_88492DB14DAD3B51 FOREIGN KEY (vod_content_id) REFERENCES vod_content (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vod_content_vod_tag ADD CONSTRAINT FK_88492DB1112B2671 FOREIGN KEY (vod_tag_id) REFERENCES vod_tag (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
    }

    /**
     * @param Schema $schema
     */
    public function down(Schema $schema)
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('ALTER TABLE vod_content_group DROP CONSTRAINT FK_8D6E6B0561997596');
        $this->addSql('ALTER TABLE vod_content_item DROP CONSTRAINT FK_64DDFB14ACE333A8');
        $this->addSql('ALTER TABLE vod_account_tag_link DROP CONSTRAINT FK_40070E3C9DE6AD62');
        $this->addSql('ALTER TABLE vod_account_tag_vod_content DROP CONSTRAINT FK_57D621C36E54B151');
        $this->addSql('ALTER TABLE vod_content_item DROP CONSTRAINT FK_64DDFB14CE11AAC7');
        $this->addSql('ALTER TABLE vod_person_link DROP CONSTRAINT FK_7E54EFE5F49D9125');
        $this->addSql('ALTER TABLE vod_person_link DROP CONSTRAINT FK_7E54EFE5217BBB47');
        $this->addSql('ALTER TABLE vod_content DROP CONSTRAINT FK_B3DCA8B412469DE2');
        $this->addSql('ALTER TABLE vod_content_vod_tag DROP CONSTRAINT FK_88492DB1112B2671');
        $this->addSql('ALTER TABLE vod_content_group DROP CONSTRAINT FK_8D6E6B054DAD3B51');
        $this->addSql('ALTER TABLE vod_account_tag_vod_content DROP CONSTRAINT FK_57D621C34DAD3B51');
        $this->addSql('ALTER TABLE vod_content_item DROP CONSTRAINT FK_64DDFB1484A0A3ED');
        $this->addSql('ALTER TABLE vod_person_link DROP CONSTRAINT FK_7E54EFE54DAD3B51');
        $this->addSql('ALTER TABLE vod_content_vod_tag DROP CONSTRAINT FK_88492DB14DAD3B51');
        $this->addSql('DROP SEQUENCE vod_content_group_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE vod_account_tag_link_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE vod_account_tag_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE vod_content_item_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE vod_content_item_type_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE vod_person_role_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE vod_person_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE vod_person_link_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE vod_category_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE vod_tag_id_seq CASCADE');
        $this->addSql('DROP SEQUENCE vod_content_id_seq CASCADE');
        $this->addSql('DROP TABLE vod_content_group');
        $this->addSql('DROP TABLE vod_account_tag_link');
        $this->addSql('DROP TABLE vod_account_tag');
        $this->addSql('DROP TABLE vod_account_tag_vod_content');
        $this->addSql('DROP TABLE vod_content_item');
        $this->addSql('DROP TABLE vod_content_item_type');
        $this->addSql('DROP TABLE vod_person_role');
        $this->addSql('DROP TABLE vod_person');
        $this->addSql('DROP TABLE vod_person_link');
        $this->addSql('DROP TABLE vod_category');
        $this->addSql('DROP TABLE vod_tag');
        $this->addSql('DROP TABLE vod_content');
        $this->addSql('DROP TABLE vod_content_vod_tag');
    }
}
