<?php

namespace Application\Migrations;

use Doctrine\DBAL\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
class Version20160711175111 extends AbstractMigration
{
    /**
     * @param Schema $schema
     */
    public function up(Schema $schema)
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');
        $this->addSql('DELETE FROM command WHERE device_id IS NULL');
        $this->addSql('CREATE TABLE command_refresh_channel_list (id INT NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE command_message (id INT NOT NULL, type VARCHAR(255) DEFAULT NULL, title VARCHAR(255) DEFAULT NULL, text TEXT DEFAULT NULL, delay INT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE command_reload (id INT NOT NULL, PRIMARY KEY(id))');
        $this->addSql('ALTER TABLE command_refresh_channel_list ADD CONSTRAINT FK_4CCA06F3BF396750 FOREIGN KEY (id) REFERENCES command (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE command_message ADD CONSTRAINT FK_59D7639CBF396750 FOREIGN KEY (id) REFERENCES command (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE command_reload ADD CONSTRAINT FK_1DFB0716BF396750 FOREIGN KEY (id) REFERENCES command (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');

        $this->addSql('INSERT INTO command_message SELECT id, type, title, text, delay FROM command WHERE name = \'message\'');
        $this->addSql('INSERT INTO command_reload SELECT id FROM command WHERE name = \'reload\'');
        $this->addSql('INSERT INTO command_refresh_channel_list SELECT id FROM command WHERE name=\'refresh_channel_list\'');

        $this->addSql('UPDATE command SET name=\'0\' WHERE name=\'message\'');
        $this->addSql('UPDATE command SET name=\'1\' WHERE name=\'reload\'');
        $this->addSql('UPDATE command SET name=\'2\' WHERE name=\'refresh_channel_list\'');
        
        $this->addSql('ALTER TABLE command DROP type');
        $this->addSql('ALTER TABLE command DROP title');
        $this->addSql('ALTER TABLE command DROP text');
        $this->addSql('ALTER TABLE command DROP delay');
        $this->addSql('ALTER TABLE command ALTER device_id SET NOT NULL');
        $this->addSql('ALTER TABLE command ALTER name TYPE INT USING name::integer');
        $this->addSql('ALTER TABLE command ALTER name DROP DEFAULT');

    }

    /**
     * @param Schema $schema
     */
    public function down(Schema $schema)
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');
        $this->addSql('ALTER TABLE command ADD type VARCHAR(255) DEFAULT NULL');
        $this->addSql('ALTER TABLE command ADD title VARCHAR(255) DEFAULT NULL');
        $this->addSql('ALTER TABLE command ADD text TEXT DEFAULT NULL');
        $this->addSql('ALTER TABLE command ADD delay INT DEFAULT NULL');
        $this->addSql('ALTER TABLE command ALTER device_id DROP NOT NULL');
        $this->addSql('ALTER TABLE command ALTER name TYPE VARCHAR(255)');
        $this->addSql('ALTER TABLE command ALTER name DROP DEFAULT');

        $this->addSql('UPDATE command SET type = command_message.type, title = command_message.title, text = command_message.text, delay = command_message.delay FROM command_message WHERE command.id = command_message.id');
        $this->addSql('UPDATE command SET name=\'message\' WHERE name=\'0\'');
        $this->addSql('UPDATE command SET name=\'reload\' WHERE name=\'1\'');
        $this->addSql('UPDATE command SET name=\'refresh_channel_list\' WHERE name=\'2\'');

        $this->addSql('DROP TABLE command_refresh_channel_list');
        $this->addSql('DROP TABLE command_message');
        $this->addSql('DROP TABLE command_reload');


    }
}
