<?php

namespace Application\Migrations;

use Doctrine\DBAL\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
class Version20170331055907 extends AbstractMigration
{
    /**
     * @param Schema $schema
     */
    public function up(Schema $schema)
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('DROP SEQUENCE revisions_id_seq CASCADE');
        $this->addSql('DROP TABLE account_audit');
        $this->addSql('DROP TABLE account_subscription_audit');
        $this->addSql('DROP TABLE admin_audit');
        $this->addSql('DROP TABLE age_group_audit');
        $this->addSql('DROP TABLE cas_config_audit');
        $this->addSql('DROP TABLE cas_config_option_audit');
        $this->addSql('DROP TABLE cas_type_audit');
        $this->addSql('DROP TABLE channel_audit');
        $this->addSql('DROP TABLE channel_group_audit');
        $this->addSql('DROP TABLE channel_type_audit');
        $this->addSql('DROP TABLE config_audit');
        $this->addSql('DROP TABLE device_audit');
        $this->addSql('DROP TABLE device_subscription_audit');
        $this->addSql('DROP TABLE device_type_audit');
        $this->addSql('DROP TABLE epg_auto_replace_audit');
        $this->addSql('DROP TABLE epg_auto_replace_group_audit');
        $this->addSql('DROP TABLE epg_source_audit');
        $this->addSql('DROP TABLE epg_source_channel_audit');
        $this->addSql('DROP TABLE favorite_group_audit');
        $this->addSql('DROP TABLE provider_audit');
        $this->addSql('DROP TABLE provider_free_channel_audit');
        $this->addSql('DROP TABLE provider_network_audit');
        $this->addSql('DROP TABLE revisions');
        $this->addSql('DROP TABLE right_holder_audit');
        $this->addSql('DROP TABLE right_holder_contract_audit');
        $this->addSql('DROP TABLE scrambler_audit');
        $this->addSql('DROP TABLE tarif_audit');
        $this->addSql('DROP TABLE tarif_group_audit');
        $this->addSql('ALTER INDEX uniq_65076c805e237e06 RENAME TO UNIQ_B49139E35E237E06');
        $this->addSql('ALTER INDEX uniq_9f25941653b538eb RENAME TO UNIQ_34DCD17653B538EB');
        $this->addSql('ALTER INDEX uniq_9f2594167078d953 RENAME TO UNIQ_34DCD1767078D953');
        $this->addSql('ALTER INDEX uniq_c98c32ef5e237e06 RENAME TO UNIQ_AAC747AE5E237E06');
        $this->addSql('ALTER INDEX idx_74511bcacd81c91e RENAME TO IDX_943BD107F9F3B21');
        $this->addSql('ALTER INDEX idx_74511bca112b2671 RENAME TO IDX_943BD107112B2671');
        $this->addSql('ALTER INDEX idx_7e54efe54dad3b51 RENAME TO IDX_EA65052D4DAD3B51');
        $this->addSql('ALTER INDEX idx_7e54efe5217bbb47 RENAME TO IDX_EA65052D217BBB47');
        $this->addSql('ALTER INDEX idx_7e54efe5f49d9125 RENAME TO IDX_EA65052DF49D9125');
        $this->addSql('ALTER INDEX uniq_7e54efe54dad3b51217bbb47f49d9125 RENAME TO UNIQ_EA65052D4DAD3B51217BBB47F49D9125');

    }

    /**
     * @param Schema $schema
     */
    public function down(Schema $schema)
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'postgresql', 'Migration can only be executed safely on \'postgresql\'.');

        $this->addSql('CREATE SEQUENCE revisions_id_seq INCREMENT BY 1 MINVALUE 1 START 1');
        $this->addSql('CREATE TABLE account_audit (id INT NOT NULL, rev INT NOT NULL, provider_id INT DEFAULT NULL, remote_id VARCHAR(255) DEFAULT NULL, fullname VARCHAR(255) DEFAULT NULL, pin_md5 VARCHAR(32) DEFAULT NULL, can_autodisable BOOLEAN DEFAULT NULL, contract_info VARCHAR(255) DEFAULT NULL, main_address VARCHAR(255) DEFAULT NULL, account_desc TEXT DEFAULT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, revtype VARCHAR(4) NOT NULL, device_count_limit INT DEFAULT NULL, enabled BOOLEAN DEFAULT NULL, remote_custom_field VARCHAR(255) DEFAULT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_a46abdc20678c41ad0ce58874440c6ef_idx ON account_audit (rev)');
        $this->addSql('CREATE TABLE account_subscription_audit (id INT NOT NULL, rev INT NOT NULL, account_id INT DEFAULT NULL, tarif_id INT DEFAULT NULL, start TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, stop TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_57e72537132723ea2efad499ea21b273_idx ON account_subscription_audit (rev)');
        $this->addSql('CREATE TABLE admin_audit (id INT NOT NULL, rev INT NOT NULL, provider_id INT DEFAULT NULL, login VARCHAR(50) DEFAULT NULL, admin_fullname VARCHAR(255) DEFAULT NULL, md5pw VARCHAR(255) DEFAULT NULL, active BOOLEAN DEFAULT NULL, last_login TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, global BOOLEAN DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_2cb6f193844cbf7cbd36151bb35e3ba4_idx ON admin_audit (rev)');
        $this->addSql('CREATE TABLE age_group_audit (id INT NOT NULL, rev INT NOT NULL, age INT DEFAULT NULL, caption VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_3c97a17c68cbe0cf45a8ceaf591ed6d2_idx ON age_group_audit (rev)');
        $this->addSql('CREATE TABLE cas_config_audit (id INT NOT NULL, rev INT NOT NULL, cas_type_id INT DEFAULT NULL, name VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_29914f6865593d72897b2aeb359d24a3_idx ON cas_config_audit (rev)');
        $this->addSql('CREATE TABLE cas_config_option_audit (id INT NOT NULL, rev INT NOT NULL, cas_config_id INT DEFAULT NULL, name VARCHAR(255) DEFAULT NULL, value VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_0a19c2bcfed62378bce839c140a3f0a8_idx ON cas_config_option_audit (rev)');
        $this->addSql('CREATE TABLE cas_type_audit (id INT NOT NULL, rev INT NOT NULL, name VARCHAR(255) DEFAULT NULL, caption VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_7cd7538cdb4cd218dd090f14c7b3015d_idx ON cas_type_audit (rev)');
        $this->addSql('CREATE TABLE channel_audit (id INT NOT NULL, rev INT NOT NULL, type_id INT DEFAULT NULL, logo_id INT DEFAULT NULL, age_group_id INT DEFAULT NULL, rightholder_contract_id INT DEFAULT NULL, epg_source_channel_id INT DEFAULT NULL, dvr_server_id INT DEFAULT NULL, display_name VARCHAR(255) DEFAULT NULL, enabled BOOLEAN DEFAULT NULL, channel_comment TEXT DEFAULT NULL, timeshift_enabled BOOLEAN DEFAULT NULL, record_enabled BOOLEAN DEFAULT NULL, display_number INT DEFAULT NULL, channel_description TEXT DEFAULT NULL, channel_website VARCHAR(255) DEFAULT NULL, need_scramble BOOLEAN DEFAULT NULL, input_url VARCHAR(255) DEFAULT NULL, url VARCHAR(255) DEFAULT NULL, aspect_ratio VARCHAR(255) DEFAULT NULL, time_shift_depth INT DEFAULT NULL, text_name VARCHAR(255) DEFAULT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, revtype VARCHAR(4) NOT NULL, tshift_cas_config_id INT DEFAULT NULL, cas_config_id INT DEFAULT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_32b1929fafaafeb5570455cb279f284c_idx ON channel_audit (rev)');
        $this->addSql('CREATE TABLE channel_group_audit (id INT NOT NULL, rev INT NOT NULL, channel_group_name VARCHAR(255) DEFAULT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_2417e4e56af2b041a5d6b61fe99604da_idx ON channel_group_audit (rev)');
        $this->addSql('CREATE TABLE channel_type_audit (id INT NOT NULL, rev INT NOT NULL, name VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_78fa7ad438def66173275061b5bd23b0_idx ON channel_type_audit (rev)');
        $this->addSql('CREATE TABLE config_audit (id INT NOT NULL, rev INT NOT NULL, name VARCHAR(255) DEFAULT NULL, value VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_f122ff68c234c23f94b5e05156f3f04d_idx ON config_audit (rev)');
        $this->addSql('CREATE TABLE device_audit (id INT NOT NULL, rev INT NOT NULL, device_type_id INT DEFAULT NULL, provider_id INT DEFAULT NULL, account_id INT DEFAULT NULL, ipaddr Inet DEFAULT NULL, unique_id VARCHAR(255) DEFAULT NULL, last_online TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, last_fw_ver VARCHAR(255) DEFAULT NULL, first_online TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, use_nat BOOLEAN DEFAULT NULL, operation_system VARCHAR(255) DEFAULT NULL, udpxy_addr VARCHAR(255) DEFAULT NULL, authkey VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, language_id INT DEFAULT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_caf8f692803b050d02607da0a0cb99e5_idx ON device_audit (rev)');
        $this->addSql('CREATE TABLE device_subscription_audit (id INT NOT NULL, rev INT NOT NULL, device_id INT DEFAULT NULL, tarif_id INT DEFAULT NULL, start TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, stop TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_5f0b1bc6679b556ff48977a24f2e4a59_idx ON device_subscription_audit (rev)');
        $this->addSql('CREATE TABLE device_type_audit (id INT NOT NULL, rev INT NOT NULL, device_type VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_50dfaef615a8365fa69f188fd691ee10_idx ON device_type_audit (rev)');
        $this->addSql('CREATE TABLE epg_auto_replace_audit (id INT NOT NULL, rev INT NOT NULL, epg_auto_replace_group_id INT DEFAULT NULL, text_source VARCHAR(255) DEFAULT NULL, text_replaced VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_cd80ef0250ff299bccf08b285d35c630_idx ON epg_auto_replace_audit (rev)');
        $this->addSql('CREATE TABLE epg_auto_replace_group_audit (id INT NOT NULL, rev INT NOT NULL, name VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_a696a3aee04d45f4b2a73ead03550014_idx ON epg_auto_replace_group_audit (rev)');
        $this->addSql('CREATE TABLE epg_source_audit (id INT NOT NULL, rev INT NOT NULL, epg_source_type VARCHAR(255) DEFAULT NULL, epg_source_name VARCHAR(255) DEFAULT NULL, epg_source_url VARCHAR(255) DEFAULT NULL, active BOOLEAN DEFAULT NULL, epg_source_comment TEXT DEFAULT NULL, cache_secs INT DEFAULT NULL, last_ok TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, offset_mins INT DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_562b4997d59d99b97e316ede78a8595e_idx ON epg_source_audit (rev)');
        $this->addSql('CREATE TABLE epg_source_channel_audit (id INT NOT NULL, rev INT NOT NULL, source_id INT DEFAULT NULL, source_channel_id VARCHAR(255) DEFAULT NULL, source_channel_name VARCHAR(255) DEFAULT NULL, date_added TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, offset_mins INT DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_cb5f74c58c2480096b9a369f74116aba_idx ON epg_source_channel_audit (rev)');
        $this->addSql('CREATE TABLE favorite_group_audit (id INT NOT NULL, rev INT NOT NULL, favorite_name VARCHAR(255) DEFAULT NULL, "position" INT DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_dd39aa15ea6160bbae13712e908be903_idx ON favorite_group_audit (rev)');
        $this->addSql('CREATE TABLE provider_audit (id INT NOT NULL, rev INT NOT NULL, free_channels_tarif_id INT DEFAULT NULL, provider_name VARCHAR(255) DEFAULT NULL, api_url VARCHAR(255) DEFAULT NULL, authkey VARCHAR(255) DEFAULT NULL, enable_api BOOLEAN DEFAULT NULL, provider_comment TEXT DEFAULT NULL, remote_provider BOOLEAN DEFAULT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, revtype VARCHAR(4) NOT NULL, allow_quick_device_bind BOOLEAN DEFAULT NULL, device_count_per_account_limit INT DEFAULT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_aedaa058c59266e0d1c34bb5716b8721_idx ON provider_audit (rev)');
        $this->addSql('CREATE TABLE provider_free_channel_audit (id INT NOT NULL, rev INT NOT NULL, provider_id INT DEFAULT NULL, device_type_id INT DEFAULT NULL, tarif_id INT DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_e8a0f3309828e640f19feef294b35be4_idx ON provider_free_channel_audit (rev)');
        $this->addSql('CREATE TABLE provider_network_audit (id INT NOT NULL, rev INT NOT NULL, provider_id INT DEFAULT NULL, network VARCHAR(255) DEFAULT NULL, description VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_8840070568500df5848405acaf0d5c5a_idx ON provider_network_audit (rev)');
        $this->addSql('CREATE TABLE revisions (id SERIAL NOT NULL, "timestamp" TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL, username VARCHAR(255) DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE right_holder_audit (id INT NOT NULL, rev INT NOT NULL, rightholder_name VARCHAR(255) DEFAULT NULL, rightholder_comment TEXT DEFAULT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_e07d8189d720a142933e3ca14ad4ded4_idx ON right_holder_audit (rev)');
        $this->addSql('CREATE TABLE right_holder_contract_audit (id INT NOT NULL, rev INT NOT NULL, rightholder_id INT DEFAULT NULL, contract_number VARCHAR(255) DEFAULT NULL, contract_date DATE DEFAULT NULL, comment TEXT DEFAULT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_5129c36a9b642282702ae2e2741f7a4a_idx ON right_holder_contract_audit (rev)');
        $this->addSql('CREATE TABLE scrambler_audit (id INT NOT NULL, rev INT NOT NULL, ipaddr Inet DEFAULT NULL, password VARCHAR(255) DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_0775684ba1c46110e1c5cbb3c3dcef43_idx ON scrambler_audit (rev)');
        $this->addSql('CREATE TABLE tarif_audit (id INT NOT NULL, rev INT NOT NULL, provider_id INT DEFAULT NULL, tarif_group_id INT DEFAULT NULL, tarif_name VARCHAR(255) DEFAULT NULL, public BOOLEAN DEFAULT NULL, show_on_www BOOLEAN DEFAULT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_72b28b90920a1a412213da4ff5127305_idx ON tarif_audit (rev)');
        $this->addSql('CREATE TABLE tarif_group_audit (id INT NOT NULL, rev INT NOT NULL, tarif_groupname VARCHAR(255) DEFAULT NULL, "position" INT DEFAULT NULL, main BOOLEAN DEFAULT NULL, deleted_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, revtype VARCHAR(4) NOT NULL, PRIMARY KEY(id, rev))');
        $this->addSql('CREATE INDEX rev_b3ff3e93c97b536aeb3593b8c7ab5969_idx ON tarif_group_audit (rev)');
        $this->addSql('ALTER INDEX uniq_b49139e35e237e06 RENAME TO uniq_65076c805e237e06');
        $this->addSql('ALTER INDEX uniq_34dcd17653b538eb RENAME TO uniq_9f25941653b538eb');
        $this->addSql('ALTER INDEX uniq_34dcd1767078d953 RENAME TO uniq_9f2594167078d953');
        $this->addSql('ALTER INDEX uniq_aac747ae5e237e06 RENAME TO uniq_c98c32ef5e237e06');
        $this->addSql('ALTER INDEX idx_ea65052d4dad3b51 RENAME TO idx_7e54efe54dad3b51');
        $this->addSql('ALTER INDEX uniq_ea65052d4dad3b51217bbb47f49d9125 RENAME TO uniq_7e54efe54dad3b51217bbb47f49d9125');
        $this->addSql('ALTER INDEX idx_ea65052d217bbb47 RENAME TO idx_7e54efe5217bbb47');
        $this->addSql('ALTER INDEX idx_ea65052df49d9125 RENAME TO idx_7e54efe5f49d9125');
        $this->addSql('ALTER INDEX idx_943bd107112b2671 RENAME TO idx_74511bca112b2671');
        $this->addSql('ALTER INDEX idx_943bd107f9f3b21 RENAME TO idx_74511bcacd81c91e');
    }
}
